export function initialize() {
	$(document).on('change keyup keydown paste cut', '.expandable-textarea', function () {
		$(this).height(0).height(this.scrollHeight);
	}).find('.expandable-textarea').change();
}

$.ui.autocomplete.prototype._renderItem = function (ul, item) {
	var t = String(item.value).replace(
		new RegExp(this.term, "gi"),
		"<strong class='flash-success'>$&</strong>");
	return $("<li></li>")
		.data("item.autocomplete", item)
		.append("<div>" + t + "</div>")
		.appendTo(ul);
};

export function autocomplete(selector, dataList) {
	$(selector).autocomplete({
		source: function (request, response) {
			let results = $.ui.autocomplete.filter(dataList, request.term);
			response(results.slice(0, 30));
		},
		minLength: 0
	});
}
