(function() {
    const root = window.getComputedStyle(document.documentElement)
    window.TUMexamColors = {}
    const colors = {
        Primary: "primary",
        Secondary: "secondary",
        Success: "success",
        Info: "info",
        Warning: "warning",
        Danger: "danger",
        Light: "light",
        Dark: "dark",
        BodyColor: "body-color",
		Blue: "blue",
		Indigo: "indigo",
		Purple: "purple",
		Pink: "pink",
		Red: "red",
		Orange: "orange",
		Yellow: "yellow",
		Green: "green",
		Teal: "teal",
		Cyan: "cyan",
		White: "white",
		Gray: "gray",
		GrayDark: "gray-dark",
		Gray_100: "gray-100",
		Gray_200: "gray-200",
		Gray_300: "gray-300",
		Gray_400: "gray-400",
		Gray_500: "gray-500",
		Gray_600: "gray-600",
		Gray_700: "gray-700",
		Gray_800: "gray-800",
		Gray_900: "gray-900",
    }
    for (const [color, propertyName] of Object.entries(colors)) {
        window.TUMexamColors[color] = root.getPropertyValue(`--bs-${propertyName}`)
        window.TUMexamColors[color + "RGB"] = root.getPropertyValue(`--bs-${propertyName}-rgb`)
    }
})()
